package org.example.xacml.svc;

import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;

import org.jboss.ejb3.annotation.SecurityDomain;
import org.jboss.wsf.spi.annotation.AuthMethod;
import org.jboss.wsf.spi.annotation.TransportGuarantee;
import org.jboss.wsf.spi.annotation.WebContext;

@Stateless(name = "SecureEndpoint")
@SOAPBinding(style = Style.RPC)
@WebService(name = "SecureEndpointService", serviceName = "SecureEndpointService", targetNamespace = "http://org.example.xacml.svc/sampleDomain")
@WebContext(contextRoot = "/sampleDomain", urlPattern = "/*", authMethod = AuthMethod.BASIC, transportGuarantee = TransportGuarantee.NONE, secureWSDLAccess = false)
@SecurityDomain("sample-security")
public class SecureEndpointImpl implements SecureEndpoint {
	@WebMethod
	public String echo(String input) {
		return input;
	}
}
